### Hierarchy

- SearchRequestRepositoryImpl

### Implements

- SearchRequestRepository

## Index

### Constructors

- constructor

### Methods

- clone
- create
- deleteById
- getAllSearchRequests
- getSearchRequestByOwner
- getSearchRequestByOwnerAndId
- getSearchRequestsByOwnerAndTag
- update

## Constructors

### constructor

- new SearchRequestRepositoryImpl(transport: HttpTransport): SearchRequestRepositoryImpl

- - Defined in repository/search/SearchRequestRepositoryImpl.ts:11

  #### Parameters

  - ##### transport: HttpTransport

  #### Returns SearchRequestRepositoryImpl

## Methods

### clone

- clone(owner: string, searchRequest: SearchRequest): Promise<SearchRequest>

- Implementation of SearchRequestRepository.clone

  - Defined in repository/search/SearchRequestRepositoryImpl.ts:33

  #### Parameters

  - ##### owner: string

  - ##### searchRequest: SearchRequest

  #### Returns Promise<SearchRequest>

### create

- create(owner: string, searchRequest: SearchRequest): Promise<SearchRequest>

- Implementation of SearchRequestRepository.create

  - Defined in repository/search/SearchRequestRepositoryImpl.ts:17

  #### Parameters

  - ##### owner: string

  - ##### searchRequest: SearchRequest

  #### Returns Promise<SearchRequest>

### deleteById

- deleteById(owner: string, id: number): Promise<number>

- Implementation of SearchRequestRepository.deleteById

  - Defined in repository/search/SearchRequestRepositoryImpl.ts:41

  #### Parameters

  - ##### owner: string

  - ##### id: number

  #### Returns Promise<number>

### getAllSearchRequests

- getAllSearchRequests(): Promise<Array<SearchRequest>>

- Implementation of SearchRequestRepository.getAllSearchRequests

  - Defined in repository/search/SearchRequestRepositoryImpl.ts:63

  #### Returns Promise<Array<SearchRequest>>

### getSearchRequestByOwner

- getSearchRequestByOwner(owner: string): Promise<Array<SearchRequest>>

- Implementation of SearchRequestRepository.getSearchRequestByOwner

  - Defined in repository/search/SearchRequestRepositoryImpl.ts:56

  #### Parameters

  - ##### owner: string

  #### Returns Promise<Array<SearchRequest>>

### getSearchRequestByOwnerAndId

- getSearchRequestByOwnerAndId(owner: string, id: number): Promise<Array<SearchRequest>>

- Implementation of SearchRequestRepository.getSearchRequestByOwnerAndId

  - Defined in repository/search/SearchRequestRepositoryImpl.ts:49

  #### Parameters

  - ##### owner: string

  - ##### id: number

  #### Returns Promise<Array<SearchRequest>>

### getSearchRequestsByOwnerAndTag

- getSearchRequestsByOwnerAndTag(owner: string, tag: string): Promise<Array<SearchRequest>>

- Implementation of SearchRequestRepository.getSearchRequestsByOwnerAndTag

  - Defined in repository/search/SearchRequestRepositoryImpl.ts:70

  #### Parameters

  - ##### owner: string

  - ##### tag: string

  #### Returns Promise<Array<SearchRequest>>

### update

- update(owner: string, id: number, searchRequest: SearchRequest): Promise<SearchRequest>

- Implementation of SearchRequestRepository.update

  - Defined in repository/search/SearchRequestRepositoryImpl.ts:25

  #### Parameters

  - ##### owner: string

  - ##### id: number

  - ##### searchRequest: SearchRequest

  #### Returns Promise<SearchRequest>

Generated using TypeDoc